# -*- coding: UTF-8 -*-
#  my_tk.py     2023.10.29   kita

#!! tkinter用モジュール メッセージ表示 etc
#  tkinter関係のモジュール
#  test script ..test/test_messagebox.py

import tkinter as tk
#from tkinter import *
from tkinter import messagebox

#import os
def information(ss_msg, ss_detail= '', ttl= 'インフォメーション'):
    res = messagebox.showinfo(
            title= ttl,
            message= ss_msg,
            detail= ss_detail)
    #print(res)  # ok (Xを押しても ok が返る)
    return res  # ok
    
def warning(ss_msg, ttl= '警告！'):
    res = messagebox.showwarning(
            title= ttl,
            message= ss_msg)
    #print(res)  # ok (Xを押しても ok が返る) 
    return res  # ok      

def question_yn(ss_msg, ss_detail= '', ttl= '質問'):
    res = messagebox.askyesno(
            title= ttl,
            message= ss_msg,
            detail= ss_detail)
    return res # True False       

def question_oc(ss_msg, ss_detail= '', ttl= '質問'):
    res = messagebox.askokcancel(
            title= ttl,
            message= ss_msg,
            detail= ss_detail)
    return res # True False       

#--------------------------------------
#       テストルーチン
#--------------------------------------
if __name__ == '__main__':
    def push_message(i):
        def x():
            if i== 0:   # information Button                                 ttl:省略可
                res= information('情報表示テスト', '詳細情報１\n詳細情報２') #, ttl= '案内')   
                print('information:'+ res)  # ok
            elif i== 1: # 警告 Buttin           ttl:省略可
                res= warning('警告表示テスト', ttl= '危険！')
                print('警告:'+ res) # ok
            elif i== 2: # 質問　はい、いいえ Buttin                                         ttl:省略可
                res= question_yn('質問　はい　いいえ表示テスト','詳細情報１\n詳細情報２', ttl= '問合せ')
                print('質問 y_n: %d' % res) # True False 
            elif i== 3: # 質問　ok cancel Buttin                                        ttl:省略可    
                res= question_oc('質問　ok cancel表示テスト','詳細情報１\n詳細情報２', ttl= 'どうする？')
                print('質問 ok_cancel: %d' % res) # True False
        return x
    
    nl = 4
    root = tk.Tk()
    root.geometry('150x%d+1000+0' % (nl*30))
    btn_txt= ['Infomarion','警告!','質問<はい><いいえ>','質問<OK><キャンセル>'] 
    nn = len(btn_txt)
    for i in range(nn):
        btn= tk.Button(root,text= btn_txt[i],command= push_message(i)) #ボタンの作成
        btn.grid(column=2,row=i, padx=1, pady=1) 

    root.mainloop()
